package ru.yandex.webmaster3.storage.util.yt;

import org.apache.http.HttpRequest;
import org.apache.http.HttpResponse;

/**
 * @author aherman
 */
public interface YtStreamResult<T> {
    public T processBody(YtStatus status, HttpResponse httpResponse) throws YtException;
    default void changeRequest(HttpRequest httpRequest) {}
}
